Efter en lång testperiod har Ascaron slutligen fått ordning på patch 1.7 till rollspelet [[Sacred]]. Utöver att uppdateringen inte är kompatibel med föregående version (1.66) ges ingen information om innehållet.

Hämta från spelets hemsida >>

Skicka en rättelse